Using Magic Mouse with 10.5.7?

Discussion in 'Mac Accessories' started by mrat93, Aug 22, 2010.

  1. mrat93 macrumors 65816

    mrat93

    Joined:
    Dec 30, 2006
    #1
    My iMac is currently in for repair with Apple, and this is the only other computer I have.

    I have a Dell Mini 9 running Mac OS 10.5.7. The keyboard and trackpad suck, so I paired my Apple bluetooth keyboard and Magic Mouse to it. Everything works fine except for the mouse; it doesn't scroll. There are no settings in System Preferences that allow scrolling. Are there any third party drivers out there that will help me out? Thanks.

    I figured I'd post a picture of my rather pathetic setup. :D
     

    Attached Files:

  2. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
  3. mrat93 thread starter macrumors 65816

    mrat93

    Joined:
    Dec 30, 2006
    #3
    The documentation says "Snow Leopard only."
     
  4. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
    #4
    MagicPrefs then
     
  5. mrat93 thread starter macrumors 65816

    mrat93

    Joined:
    Dec 30, 2006
    #5
    When it starts up, I get an error saying I need to be on 10.5.8. The prefpane loads, but it constantly tells me that MagicPrefs has crashed.

    By the way, thanks for all the help you've given me these past couple of days, Hellhammer!
     
  6. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
    #6
    Magic Mouse requires 10.5.8 so that might be your problem. It's also recommended to install Wireless Mouse Software Update 1.0 for Leopard but again, you need 10.5.8.

    As this is just a temporal setup, you should be fine with arrow key scrolling or find out if you can upgrade your Hackintosh to 10.5.8
     

Share This Page